Subject: Samba NTFS error "Could not rename the lock file?"

From: Mike <[email-masked]>
Date: Tue, 15 Jan 2008 22:13:31 -0500

git version 1.5.2.1

I have my repository on a linux server and I'm trying to create a "git 
clone" on an NTFS samba mount. So for example:

$ git clone /www/git/amflex /mnt/NTFS80gigsamba/amflex
Could not rename the lock file?
Could not rename the lock file?
Could not rename the lock file?
Could not rename the lock file?
Initialized empty Git repository in /mnt/NTFS80gigsamba/amflex/.git/
remote: Generating pack...
remote: Done counting 156 objects.
remote: Deltifying 156 objects...
remote:  100% (156/156) done
Indexing 156 objects...
remote: Total 156 (delta 58), reused 0 (delta 0)
  100% (156/156) done
Resolving 58 deltas...
  100% (58/58) done
Could not rename the lock file?
Could not rename the lock file?

This isn't permissions because I can manually create, rename, delete all 
the files on the samba mount, using the same login account, no problem.

fstab for the samba mount is:

//192.168.1.100/NTFS80gigsamba /mnt/NTFS80gigsamba 
user,auto,file_mode=0777,dir_mode=0777,credentials=/etc/samba/auth.mike,uid=dmke 
0 0